# Transfer (Top Up)

## API Reference

{% hint style="info" %}
For the Development environment&#x20;

`https://sendme-sandbox.faspay.co.id/account/api/transfer`
{% endhint %}

## Transfer&#x20;

<mark style="color:green;">`POST`</mark> `account/api/transfer`

This service works when the partner is about to top up, where the partner will transfer some funds to Faspay to get the balance

`*` it means parameters are required

#### Request Body

| Parameter                                                    | Data Type    | Description                                                                                              |
| ------------------------------------------------------------ | ------------ | -------------------------------------------------------------------------------------------------------- |
| virtual\_account<mark style="color:red;">\*</mark>           | Number (20)  | Virtual account number partner                                                                           |
| beneficiary\_account<mark style="color:red;">\*</mark>       | Number (128) | Phone number/account E-Wallet                                                                            |
| beneficiary\_name<mark style="color:red;">\*</mark>          | String (255) | Account name                                                                                             |
| beneficiary\_bank\_code <mark style="color:red;">\*</mark>   | Number (3)   | <p>Beneficiary bank code: <br>- ovo: OVO<br>- gpy: GoPay<br>- dna: DANA<br>- lkj: LinkAja</p>            |
| beneficiary\_region\_code <mark style="color:red;">\*</mark> | Number (4)   | Benefeciary Region Code                                                                                  |
| beneficiary\_country\_code<mark style="color:red;">\*</mark> | String (2)   | Code of Country                                                                                          |
| beneficiary\_purpose\_code                                   | Number (1)   | Code of the purpose of using the system account                                                          |
| beneficiary\_phone                                           | Number (15)  | Beneficiary phone                                                                                        |
| beneficiary\_email                                           | String (128) | Email customer                                                                                           |
| trx\_no<mark style="color:red;">\*</mark>                    | String (255) | Transaction number (from partner)                                                                        |
| trx\_date <mark style="color:red;">\*</mark>                 | Datetime     | Transaction date time. Format (yyyy-mm-dd)                                                               |
| instruct\_date                                               | Datetime     | Transfer instruction date. Format (yyyy-mm-dd)                                                           |
| trx\_amount <mark style="color:red;">\*</mark>               | Number       | Total amount, ex : 10.000 → 10000**00**                                                                  |
| trx\_desc                                                    | String (15)  | Description, If the user input is more than 15 characters, it will be cut into 15 characters             |
| callback\_url<mark style="color:red;">\*</mark>              | String (255) | URL for callback/notification, used if the partner wants the system to send notifications to the partner |

{% tabs %}
{% tab title="200: OK Transfer Response" %}

```json
{
 "virtual_account": "9920011089",
 "beneficiary_account": "081234567890",
 "beneficiary_name": "Johnny Suh",
 "beneficiary_bank_code": "ovo",
 "beneficiary_region_code": "0102",
 "beneficiary_country_code": "ID",
 "beneficiary_purpose_code": "1",
 "beneficiary_phone": "",
 "beneficiary_email": "johfam@gmail.com",
 "trx_no": "12345670096",
 "trx_date": "2021-06-29 11:15:00",
 "instruct_date": "",
 "trx_amount": 2000000,
 "trx_desc": "Top-Up E-Wallet OVO",
 "callback_url": "http://account-service/account/api/mail/sendtotele",
 "trx_id": 1246279,
 "trx_reff": "ITxD7wMZ68cAaFNZQQOM",
 "status": "1",
 "message": "On Process",
 "response_code": "00",
 "response_desc": "success"
}
```

{% endtab %}
{% endtabs %}

### Body Parameter Transfer Response&#x20;

<table><thead><tr><th width="249">Parameter</th><th>Data Type</th><th>M/O/C</th><th>Description</th><th data-hidden>Data Type</th></tr></thead><tbody><tr><td>virtual_account</td><td>Number (20)</td><td>Mandatory</td><td>Virtual account number partner</td><td></td></tr><tr><td>beneficiary_account</td><td>Number (128)</td><td>Mandatory</td><td>hone number/account E-Wallet</td><td></td></tr><tr><td>beneficiary_name</td><td>String (255)</td><td>Mandatory</td><td>Account name</td><td></td></tr><tr><td>beneficiary_bank_code</td><td>String (3)</td><td>Mandatory</td><td><p>Beneficiary Bank Code :</p><ul><li>ovo : ovo</li><li>gpy : GoPay</li><li>dna : DANA</li><li>lkj : LinkAja</li></ul></td><td></td></tr><tr><td>beneficiary_region_code</td><td>Number (4)</td><td>Mandatory</td><td>Benefeciary Region Code</td><td></td></tr><tr><td>beneficiary_country_code</td><td>String (2)</td><td>Optional</td><td>Code of Country</td><td></td></tr><tr><td>beneficiary_purpose_code</td><td>Number (1)</td><td>Optional</td><td>Code of purpose of using the system account</td><td></td></tr><tr><td>beneficiary_phone</td><td>Number (15)</td><td>Optional</td><td>Beneficiary phone</td><td></td></tr><tr><td>beneficiary_email</td><td>String (128)</td><td>Mandatory</td><td>Beneficiary email</td><td></td></tr><tr><td>trx_no</td><td>Number (255)</td><td>Mandatory</td><td>Transaction number (from partner)</td><td></td></tr><tr><td>trx_date</td><td>Datetime</td><td>Optional</td><td>Transaction date time</td><td></td></tr><tr><td>instruct_date</td><td>Datetime</td><td>Mandatory</td><td>Transfer instruction date</td><td></td></tr><tr><td>trx_amount</td><td>Number</td><td>Optional</td><td>Total amount, ex : 10.000 → 10000<strong>00</strong></td><td></td></tr><tr><td>trx_desc</td><td>String (15)</td><td>Mandatory</td><td>Description, If the user input is more than 15 characters, it will be cut into 15 characters</td><td></td></tr><tr><td>callback_url</td><td>String (255)</td><td>Mandatory</td><td>URL for callback / notification, used if the partner wants the system to send notifications to the partner</td><td></td></tr><tr><td>trx_id</td><td>Number (16)</td><td>Mandatory</td><td>ID Transaction</td><td></td></tr><tr><td>trx_reff</td><td>String</td><td>Mandatory</td><td>Reference of transaction number on system disbursement</td><td></td></tr><tr><td>status</td><td>Number (1)</td><td>Mandatory</td><td>List Status Transaction : <br>1 = On Process, <br>2 = Success, <br>4 = Failed, <br>5 = Reverse,<br>9 = Error Message</td><td></td></tr><tr><td>message</td><td>String</td><td>Mandatory</td><td>Message Description</td><td></td></tr><tr><td>response_code</td><td>Number (2)</td><td>Mandatory</td><td>Response code from bank (00 = success)</td><td></td></tr><tr><td>response_desc</td><td>String (32)</td><td>Mandatory</td><td>Response description from bank</td><td></td></tr></tbody></table>

**Sample code JSON Request & Response Transfer**&#x20;

{% tabs %}
{% tab title="Transfer Request" %}

```json
{
 "virtual_account": "9920011089",
 "beneficiary_account": "081234567890",
 "beneficiary_name": "Johnny Suh",
 "beneficiary_bank_code": "ovo",
 "beneficiary_region_code": "0102",
 "beneficiary_country_code": "ID",
 "beneficiary_purpose_code": "1",
 "beneficiary_phone" : "",
 "beneficiary_email" : "johfam@gmail.com",
 "trx_no": "12345670096",
 "trx_date": "2021-06-29 11:15:00",
 "instruct_date": "",
 "trx_amount": "2000000",
 "trx_desc": "Top up E-Wallet ovo",
 "callback_url": "http://account-service/account/api/mail/sendtotele"
}

```

{% endtab %}

{% tab title="Transfer Response" %}

```json
{
 "virtual_account": "9920011089",
 "beneficiary_account": "081234567890",
 "beneficiary_name": "Johnny Suh",
 "beneficiary_bank_code": "ovo",
 "beneficiary_region_code": "0102",
 "beneficiary_country_code": "ID",
 "beneficiary_purpose_code": "1",
 "beneficiary_phone": "",
 "beneficiary_email": "johfam@gmail.com",
 "trx_no": "12345670096",
 "trx_date": "2021-06-29 11:15:00",
 "instruct_date": "",
 "trx_amount": 2000000,
 "trx_desc": "Top-Up E-Wallet OVO",
 "callback_url": "http://account-service/account/api/mail/sendtotele",
 "trx_id": 1246279,
 "trx_reff": "ITxD7wMZ68cAaFNZQQOM",
 "status": "1",
 "message": "On Process",
 "response_code": "00",
 "response_desc": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/e-wallet-top-up/transfer-top-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
